[Letux-kernel] [BUG/PATCH 1/4] DTS: GTA04: SPI / gpiolib: work around a regression that unhides a broken legacy handler, which makes the gta04 display inoperable

Tony Lindgren tony at atomide.com
Mon Apr 1 18:58:02 CEST 2019


* H. Nikolaus Schaller <hns at goldelico.com> [190401 16:57]:
> > Am 01.04.2019 um 18:46 schrieb Tony Lindgren <tony at atomide.com>:
> > So what's the plan with this fix? Add this for v5.2-rc cycle,
> > then revert it later? I'd probably go directly for the proper
> > fix if possible.
> 
> Well, I learned just some minutes ago that a new patch for gpiolib
> came through 5.1-rc3 which does fix this.
> 
> It seems to check for "cs-gpios" and then disable the legacy handling.
> 
> This means that we do not need to patch the DTS at all.

OK good to hear, thanks for the update.

Regards,

Tony


More information about the Letux-kernel mailing list